org.gnome.gtk

## Class SizeGroupMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.SizeGroupMode

-     public final class SizeGroupMode
      extends org.freedesktop.bindings.Constant

  Constants indicating how a given SizeGroup is to operate.
  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SizeGroupMode` | `BOTH` Widgets in this SizeGroup will have the same size request (both width and height) as the largest Widget in the group.
    `static SizeGroupMode` | `HORIZONTAL` All the Widgets in this SizeGroup will share the width requested by the widest Widget in the group.
    `static SizeGroupMode` | `NONE` The SizeGroup will (no longer have) an effect.
    `static SizeGroupMode` | `VERTICAL` All the Widgets in this SizeGroup will share the height requested by the tallest Widget in the group.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTH

          public static final SizeGroupMode BOTH

      Widgets in this SizeGroup will have the same size request (both width and height) as the largest Widget in the group.

    - #### HORIZONTAL

          public static final SizeGroupMode HORIZONTAL

      All the Widgets in this SizeGroup will share the width requested by the widest Widget in the group.

    - #### NONE

          public static final SizeGroupMode NONE

      The SizeGroup will (no longer have) an effect.

    - #### VERTICAL

          public static final SizeGroupMode VERTICAL

      All the Widgets in this SizeGroup will share the height requested by the tallest Widget in the group.